﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SfDataGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.datagrid.Loaded += datagrid_Loaded;
            this.datagrid.ItemsSourceChanged += datagrid_ItemsSourceChanged;           
        }

        void datagrid_ItemsSourceChanged(object sender, Syncfusion.UI.Xaml.Grid.GridItemsSourceChangedEventArgs e)
        {
            this.datagrid.Columns["EmployeeArea"].FilterPredicates.Add(new Syncfusion.Data.FilterPredicate()
            {
                FilterBehavior = Syncfusion.Data.FilterBehavior.StronglyTyped,
                FilterType = Syncfusion.Data.FilterType.Equals,
                FilterValue = "USA",
            });
        }
        void datagrid_Loaded(object sender, RoutedEventArgs e)
        {
           if(this.datagrid.Columns["EmployeeArea"].FilterPredicates.Count >0)
           {
               this.Title = this.datagrid.Columns["EmployeeArea"].FilterPredicates[0].FilterValue.ToString();
           }
        } 
        
       
    }
}
